html{
    scroll-behavior: smooth;
}

.merch-menu {
    padding-top: 64px;
    padding-bottom: 10px;
    width: 100%;
    text-align: center;
    position: sticky;
    background-color: #a389b1;
    height: 25px;
    
}

.merch-menu a{
    padding: 20px;
    color: #ffffff;
    font-size: 20px;
    text-decoration: none;
}

.merch-menu a:hover{
    text-decoration: underline;
}

.shop-layout {
  display: flex;
  flex-direction: column;
  gap: 40px;
  width: 100%;
  align-items: center;
  margin-top: 0px;
}

.product-list {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  justify-content: center;
  width: 100%;
  color: rgb(0, 0, 0);
}

.item{
  background: #f5f5f5;
  padding: 20px;
  border-radius: 10px;
  width: 300px;
  font-weight: 400;
  min-height: 460px;
  box-shadow: 0 0 10px rgba(0,0,0,0.05);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.item img{
  object-fit: cover;
  border-radius: 0px;
  margin-bottom: 1px;
}

.item h4{
  text-align: center;
  color: black;
  font-size: 24px;
}

.item div{
  text-align: center;
  margin-bottom: 10px;
}

.merchimg{
  width: 100%;
  height: 400px;
}

.mpcimg{
  width: 300px;
  height: 300px;
}

.price-label{
  font-size: 1.30rem;
  color: #6d049eff;
}

.price-display{
  font-size: 1.30rem;
  color: #6d049eff;
}

.selectors{
  margin: 10px 0;
}

select{
  padding: 6px 10px;
  margin: 4px;
  border-radius: 6px;
  border: 1px solid #ccc;
}

#merch-button{
  background: #6d049e;
  color: white;
  border: none;
  padding: 10px 16px;
  border-radius: 8px;
  cursor: pointer;
  font-size: 16px;
  margin-top: 10px;
}

#merch-button:hover {
  background: #4a0273;
}

#cart {
  background: #f0f0f0;
  color: rgb(0, 0, 0);
  padding: 40px;
  border-radius: 10px;
  width: 100%;
  max-width: 280px;
  box-shadow: 0 0 10px rgba(0,0,0,0.05);
}

#cart ul {
  list-style: none;
  padding: 0;
  margin: 0 0 20px;
  text-align: left;
  color: rgb(0, 0, 0);
}

#cashapp-instructions {
  font-size: 15px;
  color: rgb(0, 0, 0);
  margin-top: 20px;
  text-align: center;
}

.clear-btn {
  background: #999;
  margin-top: 10px;
  color: white;
  border: none;
  padding: 10px 16px;
  border-radius: 8px;
  cursor: pointer;
  font-size: 16px;
  margin-top: 10px;
}

.clear-btn:hover {
  background: #777;
}

#popup {
  position: fixed;
  top: 20px;
  left: 50%;
  transform: translateX(-50%);
  background: #6d049e;
  color: #fff;
  padding: 10px 20px;
  border-radius: 6px;
  box-shadow: 0 4px 12px rgba(0,0,0,0.2);
  display: none;
  z-index: 1000;
}

#shop-page-merch{
  scroll-margin-top: 100px;
}

#shop-page-mpc{
  scroll-margin-top: 70px;
}

#shop-page-cart{
  scroll-margin-top: 70px;
}